
package de.ivu.elect.presentation.wahlausschuss.table;

import static java.util.Objects.isNull;

import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class WahlausschussmitgliedVetrittColumn extends AbstractWahlausschussmitgliedColumn<Wahlausschussmitglied> {

  private static final long serialVersionUID = 1L;

  protected WahlausschussmitgliedVetrittColumn(Messages messages) {
    super(messages, "wahlausschussmitglied.vertreter.vertritt", ColumnType.STRING, entity->{
      if (isNull(entity) || !entity.isVertrittJemanden()) {
        return null;
      }

      return entity.getZuVertetendesWahlausschussmitglied().getTitelNamensbestandteileFamiliennameVornameRolleGruppe(messages);

    });
  }

}
